Get the cluster platform binding
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateKey": "<string>",
"templateVersion": "<string>",
"layerSelections": {},
"managedConfig": {},
"customerProvidedInputs": {},
"layers": [
{
"key": "<string>",
"status": "ENABLED",
"reason": "<string>",
"componentKeys": [
"<string>"
]
}
]
}Platform Configuration
Get the cluster platform binding
Returns the platform template selected for the cluster, its layer resolution, and the currently stored component configuration.
GET
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
platformBinding
Get the cluster platform binding
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Response
Cluster platform binding
Show child attributes
Show child attributes
Component configuration values keyed by component key
Show child attributes
Show child attributes
String values keyed first by component key and then by input key
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?